/*****************************************************************************
 *                               18fRS232.h                                  *
 *****************************************************************************
 
RS232 serial communications for the Stickybot Controller

Date:		Author:				Comment:
------------------------------------------------------------------------------
?			Virgilio Mattoli	Original version in assembly
2006-5-9	Jonathan Karpick	Port to C
2006-7-5	Barrett Heyneman	General code cleanup, comm protocol redefined

*****************************************************************************/

#ifndef __18FRS232_H
#define __18FRS232_H

#include <usart.h>

/*****************************************************************************
						PUBLIC TYPES, MACROS, DEFINITIONS
*****************************************************************************/


/*****************************************************************************
						PUBLIC FUNCTION PROTOTYPES
******************************************************************************

/* Initializes the RS232 serial communication on the USART */
void InitRS232(void);

/* Resets the RS232 serial communication */
void ResetRS232(void);

#endif	//SERIAL18F_H
